- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAbstractPageSetupDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qabstractpagesetupdialog.h.

`#include <qabstractpagesetupdialog.h>`

Inheritance diagram for QAbstractPageSetupDialog:
[legend]

List of all members.

## Public Member Functions
| QAbstractPageSetupDialog (QPrinter *printer, QWidget *parent=0)
| QAbstractPageSetupDialog (QAbstractPageSetupDialogPrivate &ptr, QPrinter *printer, QWidget *parent=0)
| ~QAbstractPageSetupDialog ()
virtual int | exec ()=0
void | done (int result)
QPrinter * | printer ()

## Constructor & Destructor Documentation

QAbstractPageSetupDialog | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

QAbstractPageSetupDialog | ( | QAbstractPageSetupDialogPrivate & | ptr,
|  | QPrinter * | printer,
|  | QWidget * | parent = `0`
| ) |  |

~QAbstractPageSetupDialog | ( |  | ) |

## Member Function Documentation

virtual int exec | ( |  | ) | `[pure virtual]`

Search for all occurrences

Reimplemented from QDialog.

Implemented in QPageSetupDialog.

void done | ( | int | result | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

QPrinter* printer | ( |  | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qabstractpagesetupdialog.h

QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog
QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog QAbstractPageSetupDialog